<?php

if ( !defined('ABSPATH') ) exit;

function quickcab_checkout_field_columns($original_columns) {
  $new_columns = array(
    'cb'            => $original_columns['cb'],
    'label'         => esc_html__('Label', 'quickcab'),
    'input_type'    => esc_html__('Input Type', 'quickcab'),
    'required'      => esc_html__('Required?', 'quickcab'),
    'show_in_email' => esc_html__('Show in Email?', 'quickcab'),
    'date'          => $original_columns['date']
  );

  return apply_filters('quickcab_checkout_field_columns', $new_columns);
}
add_filter('manage_qc_checkout_field_posts_columns', 'quickcab_checkout_field_columns');

function quickcab_render_checkout_field_columns($column_name, $post_id) {
  if ( get_post_type($post_id) == 'qc_checkout_field' ) {
    $checkout_field = new QuickCab_Checkout_Field($post_id);

    switch ( $column_name ) {
      case 'label':
        ?><a class="row-title" href="<?php echo esc_attr(get_edit_post_link($post_id)); ?>"><?php
          echo esc_html($checkout_field->get_label());
        ?></a><br><?php
        break;
      case 'required':
        if ( $checkout_field->is_required() ) {
          ?><span class="dashicons dashicons-yes dashicons-green"></span><?php
        } else {
          ?><span class="dashicons dashicons-no-alt dashicons-red"></span><?php
        }
        break;
      case 'show_in_email':
        if ( $checkout_field->show_in_email() ) {
          ?><span class="dashicons dashicons-yes dashicons-green"></span><?php
        } else {
          ?><span class="dashicons dashicons-no-alt dashicons-red"></span><?php
        }
        break;
      case 'input_type':
        switch ( $checkout_field->get_input_type() ) {
          case 'select':
            echo esc_html__('Select', 'quickcab');
            break;
          case 'text':
            echo esc_html__('Text', 'quickcab');
            break;
          case 'textarea':
            echo esc_html__('Textarea', 'quickcab') . ' (' . esc_html__('large text box', 'quickcab') . ')';
        }
        break;
    }
  }
}
add_action('manage_posts_custom_column', 'quickcab_render_checkout_field_columns', 10, 2);
