<?php

if ( !defined('ABSPATH') ) exit;

abstract class QuickCab_DB {

  public $table_name;

  public function insert($data) {
    global $wpdb;

    do_action('quickcab_before_insert_db', $this->table_name, $data);

    $wpdb->insert($this->table_name, $data);
    $wp_insert_id = $wpdb->insert_id;

    do_action('quickcab_after_insert_db', $this->table_name, $wp_insert_id, $data);

    return $wp_insert_id;
  }

  public function update($row_id, $data = array()) {
    global $wpdb;

    $row_id = absint($row_id);

    if ( empty($row_id) ) {
      return false;
    }

    $update = $wpdb->update(
      $this->table_name,
      $data,
      array('id' => $row_id)
    );

    if ( $update === false ) {
      return false;
    }

    return true;
  }

  public function get_by($field, $value) {
    global $wpdb;

    if ( empty($field) || empty($value) ) {
      return false;
    }

    return $wpdb->get_row($wpdb->prepare(
      "SELECT * FROM `" . esc_sql($this->table_name) . "` WHERE `" . esc_sql($field) . "` = '%s';",
      $value
    ));
  }

  public function find_all() {
    global $wpdb;

    return $wpdb->get_results("SELECT * FROM `" . esc_sql($this->table_name) . "`;");
  }
}
