<?php

if ( !defined('ABSPATH') ) exit;

function quickcab_render_booking_form_metabox_colorpicker_row($name, $post_id, $label_options = array(), $input_options = array(), $helper_options = array()) {
  $meta_name = str_replace('quickcab_booking_form_', '', $name);
  $booking_form = new QuickCab_Booking_Form($post_id);

  if ( !isset($input_options['value']) ) {
    $meta = $booking_form->get_meta($meta_name);

    if ( $meta ) {
      $input_options['value'] = $meta;
    } else {
      $input_options['value'] = $input_options['default_value'];
    }
  }

  quickcab_render_metabox_colorpicker_row($name, $post_id, $label_options, $input_options, $helper_options);
}

function quickcab_render_booking_form_metabox_select_row($name, $post_id, $label_options = array(), $input_options = array(), $helper_options = array()) {
  $meta_name = str_replace('quickcab_booking_form_', '', $name);
  $booking_form = new QuickCab_Booking_Form($post_id);

  if ( !isset($input_options['value']) || empty($input_options['value']) ) {
    $input_options['value'] = $booking_form->get_meta($meta_name);
  }

  quickcab_render_metabox_select_row($name, $post_id, $label_options, $input_options, $helper_options);
}

function quickcab_render_booking_form_metabox_checkbox_row($name, $post_id, $label_options = array(), $input_options = array(), $helper_options = array()) {
  $meta_name = str_replace('quickcab_booking_form_', '', $name);
  $booking_form = new QuickCab_Booking_Form($post_id);

  if ( !isset($input_options['checked']) || empty($input_options['checked']) ) {
    $input_options['checked'] = (bool) $booking_form->get_meta($meta_name);
  }

  quickcab_render_metabox_checkbox_row($name, $post_id, $label_options, $input_options, $helper_options);
}

function quickcab_render_booking_form_metabox_string_row($name, $post_id, $label_options = array(), $input_options = array(), $helper_options = array()) {
  $meta_name = str_replace('quickcab_booking_form_', '', $name);
  $booking_form = new QuickCab_Booking_Form($post_id);

  if ( !isset($input_options['value']) || empty($input_options['value']) ) {
    $input_options['value'] = $booking_form->get_meta($meta_name);
  }

  quickcab_render_metabox_string_row($name, $post_id, $label_options, $input_options, $helper_options);
}

function quickcab_render_booking_form_metabox_autocomplete_row($name, $post_id, $label_options = array(), $input_options = array(), $helper_options = array()) {
  $meta_name = str_replace('quickcab_booking_form_', '', $name);
  $booking_form = new QuickCab_Booking_Form($post_id);

  if ( !isset($input_options['value']) || empty($input_options['value']) ) {
    $input_options['value'] = $booking_form->get_meta($meta_name);
  }

  quickcab_render_metabox_autocomplete_row($name, $post_id, $label_options, $input_options, $helper_options);
}

function quickcab_render_booking_form_metabox_number_row($name, $post_id, $label_options = array(), $input_options = array(), $helper_options = array()) {
  $meta_name = str_replace('quickcab_booking_form_', '', $name);
  $booking_form = new QuickCab_Booking_Form($post_id);

  if ( !isset($input_options['value']) || empty($input_options['value']) ) {
    $input_options['value'] = $booking_form->get_meta($meta_name);
  }

  quickcab_render_metabox_number_row($name, $post_id, $label_options, $input_options, $helper_options);
}
