<?php

if ( !defined('ABSPATH') ) exit;

function quickcab_mins_to_text($mins) {
  $num = $mins;
  $hours = ($num / 60);
  $rhours = floor($hours);
  $minutes = ($hours - $rhours) * 60;
  $rminutes = round($minutes);
  $return_string = "";

  if ( $rhours > 0 ) {
    $hour_qualifier = $rhours == 1 ? esc_html__('hour', 'quickcab') : esc_html__('hours', 'quickcab');
    $return_string .= $rhours . ' ' . $hour_qualifier . ' ';
  }

  $min_qualifier = $rminutes == 1 ? esc_html__('minute', 'quickcab') : esc_html__('minutes', 'quickcab');
  $return_string .= $rminutes . ' ' . $min_qualifier;

  return $return_string;
}

function quickcab_meters_to_text($total_distance) {
  $uses_miles = quickcab_get_option('distance_units') == 'miles';
  $distance_denominator = $uses_miles ? 1609.34 : 1000;

  $output_amount = round($total_distance / $distance_denominator, 2);

  $unit = '';

  if ( $uses_miles ) {
    $unit = $output_amount == 1 ? esc_html__('mile', 'quickcab') : esc_html__('miles', 'quickcab');
  } else {
    $unit = $output_amount == 1 ? esc_html__('kilometre', 'quickcab') : esc_html__('kilometres', 'quickcab');
  }

  return $output_amount . ' ' . $unit;
}
